using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace skyscraper8.DvbSis
{
    internal class SisProgramIdentifier
    {
        public SisProgramIdentifier(ushort program)
        {
            this.Program = program;
        }

        public int Program { get; }

        public override bool Equals(object? obj)
        {
            return obj is SisProgramIdentifier pid &&
                   Program == pid.Program;
        }

        public override int GetHashCode()
        {
            return HashCode.Combine(Program);
        }

        public override string ToString()
        {
            return String.Format("DVB-SIS Program {0}", Program);
        }
    }
}
